Bug 168287 - writing to DVD fails due to DMA timeout / irq timeout
writing to DVD fails due to DMA timeout / irq timeout
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
4
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-09-14 11:05 EDT by bastiaan
Modified: 2015-01-04 17:22 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-04 21:32:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description bastiaan 2005-09-14 11:05:23 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.10) Gecko/20050720 Fedora/1.0.6-1.1.fc4 Firefox/1.0.6

Description of problem:
Writing DVDs with the LITE-ON DVDRW SOHW-1673S DVD-writer fails. K3B stalls in the phase 'Preparing write process...' and gives up after a minute. /var/log/messages says:
Sep 14 16:51:31 pcbastiaan kernel: hdd: DMA timeout retry
Sep 14 16:51:31 pcbastiaan kernel: hdd: timeout waiting for DMA
Sep 14 16:51:36 pcbastiaan kernel: hdd: status timeout: status=0xd0 { Busy }
Sep 14 16:51:36 pcbastiaan kernel: ide: failed opcode was: unknown
Sep 14 16:51:36 pcbastiaan kernel: hdd: drive not ready for command
Sep 14 16:51:36 pcbastiaan kernel: hdd: ATAPI reset complete

Or after disabling DMA with hdparm -d0
Sep 14 17:01:13 pcbastiaan kernel: hdd: irq timeout: status=0xd0 { Busy }
Sep 14 17:01:13 pcbastiaan kernel: ide: failed opcode was: unknown
Sep 14 17:01:13 pcbastiaan kernel: hdd: ATAPI reset complete


Version-Release number of selected component (if applicable):
kernel-2.6.12-1.1447_FC4smp

How reproducible:
Always

Steps to Reproduce:
1. install a LITE-ON DVDRW SOHW-1673S DVD-writer
2. try to write a DVD (with K3B)

  

Actual Results:  DVD burning fails to start

Expected Results:  DVD burning should have completed

Additional info:
Comment 1 Dave Jones 2005-09-30 03:11:05 EDT
Mass update to all FC4 bugs:

An update has been released (2.6.13-1.1526_FC4) which rebases to a new upstream
kernel (2.6.13.2). As there were ~3500 changes upstream between this and the
previous kernel, it's possible your bug has been fixed already.

Please retest with this update, and update this bug if necessary.

Thanks.
Comment 2 Dave Jones 2005-11-10 15:16:57 EST
2.6.14-1.1637_FC4 has been released as an update for FC4.
Please retest with this update, as a large amount of code has been changed in
this release, which may have fixed your problem.

Thank you.
Comment 3 Dave Jones 2006-02-03 02:20:23 EST
This is a mass-update to all currently open kernel bugs.

A new kernel update has been released (Version: 2.6.15-1.1830_FC4)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

Thank you.
Comment 4 John Thacker 2006-05-04 21:32:51 EDT
Closing per previous comment.

Note You need to log in before you can comment on or make changes to this bug.